<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        if (Schema::hasTable('issues') && !Schema::hasColumn('issues', 'keno')) {
            Schema::table('issues', function (Blueprint $table) {
                $table->text('keno')->nullable()->comment('PlayNow官方20个源头号码');
            });
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        if (Schema::hasTable('issues') && Schema::hasColumn('issues', 'keno')) {
            Schema::table('issues', function (Blueprint $table) {
                $table->dropColumn('keno');
            });
        }
    }
};